
********************************************************************************
* cluster level analysis
*1. Table for the correlations.
	*(1) 
	*(2)
	*(3)
	*(4)
	*(5)
	
*2. Table for the IV.
	*(5)	
	*(5-iv) first stage
	*(5-iv) second stage
		
********************************************************************************

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use clusters.dta, clear

gen density_log = ln(1+dens90)
gen gdp_log = ln(gdp_capita)

* cluster level analysis
*1. Table for the correlations

qui reg rate density_log calories_norm dist_water age agesq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust, keep(density_log calories_norm age agesq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui reg rate density_log calories_norm dist_water age agesq marriage ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust, keep(density_log calories_norm age agesq marriage) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust, keep(density_log calories_norm age agesq marriage mortal) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm age dist_water agesq marriage mortal gdp_log ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust, keep(density_log calories_norm age agesq marriage mortal gdp_log) nocons addstat(Adjusted R2, e(r2_a)) ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust, keep(density_log calories_norm age agesq marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 		

********************************************************************************
*2. Table for the IV.
	*(5)	
	*(5-iv) first stage
	*(5-iv) second stage
	
qui reg rate density_log calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust5-iv, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		tex replace
qui reg density_log dist_site calories_norm dist_water age agesq marriage mortal gdp_log educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN ///
SL SZ UG ZM ZW BD KH ID NP PK PH BO CO HN PE JO EG, cluster(country)
outreg2 using clust5-iv, keep(dist_site marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		tex		
qui ivregress 2sls rate calories_norm dist_water age agesq marriage mortal gdp_log /// 
educ educsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
(density_log=dist_site), cluster(country) 
outreg2 using clust5-iv, keep(density_log marriage mortal gdp_log educ educsq) nocons addstat(Adjusted R2, e(r2_a)) ///
		label coefastr dec(3) adec(3)	///
		tex 		


********************************************************************************
* individual level analysis 
*1. Table for the individual level estimates (Poisson and IV Poisson regression).
	*(1) 
	*(2)
	*(3)
	*(4)
	*(5)
	*(5 IV Poisson)	
	
*2. Controls for selection
	*(5) Benchmark specification of the Poisson analysis
	*(5a) We remove all we know who migrated
	*(5b) We remove everybody but those we know did not migrate
	*(5c) We control for migrants and those we do not know who migrate
	*(5d) We control for selection urban to rural or viceversa

*3. Additional Controls for Religion, Culture and Income 
	*1.(5 IV Poisson) with dummies for religion
	*2.(5 IV Poisson) with dummies for ethnicities
	*3.(5 IV Poisson) with controls for electricity
	*4.(5 IV Poisson) with controls for refrigerator

********************************************************************************


clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

gen density_log = ln(1+density90)
gen gdp_log = ln(gdp_capita)


*1. Table for the individual level estimates (Poisson and IV Poisson regression).

qui poisson birth density_log calories_norm dist_water ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49, vce(cluster clusternumber)
outreg2 using individual, keep(density_log) nocons ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")	///
		tex replace
qui poisson birth density_log calories_norm dist_water married  meanmarriage ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49, vce(cluster clusternumber)
outreg2 using individual, keep(density_log married  meanmarriage) nocons  ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married meanmarriage mortal  meanmortal ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49, vce(cluster clusternumber)
outreg2 using individual, keep(density_log married meanmarriage mortal  meanmortal) nocons  ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married meanmarriage mortal  meanmortal gdp_log /// 
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49, vce(cluster clusternumber)
outreg2 using individual, keep(density_log married meanmarriage mortal  meanmortal gdp_log) nocons  ///
		 label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui poisson birth density_log calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49, vce(cluster clusternumber)
outreg2 using individual, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) adec(3)	///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 	
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 


********************************************************************************
* 2. controls for selection

qui ivpoisson gmm birth  calories_norm dist_water married meanmarriage mortal meanmortal gdp_log /// 
educ educsq meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site), vce(cluster clusternumber)
outreg2 using selection-iv, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")	///
		tex replace
qui ivpoisson gmm birth  calories_norm dist_water married meanmarriage mortal meanmortal gdp_log /// 
educ educsq meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site) if (migrant==0 | migrant==2), vce(cluster clusternumber)
outreg2 using selection-iv, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons  ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui ivpoisson gmm birth  calories_norm dist_water married meanmarriage mortal meanmortal gdp_log /// 
educ educsq meaneduc meaneducsq ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site) if migrant==0 , vce(cluster clusternumber)
outreg2 using selection-iv, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons  ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 
qui ivpoisson gmm birth  calories_norm dist_water married meanmarriage mortal meanmortal gdp_log /// 
educ educsq meaneduc meaneducsq migrant_yes migrant_na ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 (density_log = dist_site), vce(cluster clusternumber)
outreg2 using selection-iv, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq migrant_yes migrant_na ) nocons  ///
		 label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")		///
		tex 


********************************************************************************
* 3. Additional Controls for Religion, Culture and Income 

qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq islam christian buddhism hinduism  ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 ///
(density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-bis, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq islam christian buddhism hinduism) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")																///
		tex replace
qui ivpoisson gmm  birth calories_norm  married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq ///
GN CI BF BJ NG CM NI GH CF CD ET GA MW ML MZ NM TG SN SL ZM ////
NP PK PH CO HN PE ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 ///
ethn1 ethn2 ethn3 ethn4 ethn5 ethn6 ethn7 ethn8 ethn9 ethn10 ethn11 ethn12 ethn13 ///
ethn14 ethn15 ethn16 ethn17 ethn19 ethn20 ethn21 ethn22 ethn23 ethn24 ethn25 ///
ethn26 ethn27 ethn28 ethn29 ethn30 ethn31 ethn32 ethn33 ethn34 ethn35 ethn36 ///
ethn37 ethn38 ethn39 ethn40 ethn41 ethn42 ethn43 ethn44 ethn45 ethn46 ethn47 ///
ethn48 ethn49 ethn50 ethn51 ethn52 ethn53 ethn54 ethn55 ethn56 ethn57 ethn58 ///
ethn59 ethn60 ethn61 ethn62 ethn63 ethn64 ethn65 ethn66 ethn67 ethn68 ethn69 ///
ethn70 ethn71 ethn72 ethn73 ethn74 ethn75 ethn76 ethn77 ethn79 ethn80 ethn81 ///
ethn82 ethn83 ethn84 ethn85 ethn86 ethn87 ethn89 ethn91 ethn92 ethn93 ethn94 ///
ethn95 ethn97 ethn98 ethn99 ethn100 ethn101 ethn102 ethn103 ethn104 ethn105 ///
ethn106 ethn107 ethn108 ethn109 ethn110 ethn111 ethn112 ethn113 ethn114 ethn115 ///
ethn116 ethn117 ethn118 ethn119 ethn120 ethn121 ethn122 ethn123 ethn124 ethn125 ///
ethn126 ethn127 ethn128 ethn129 ethn130 ethn131 ethn132 ethn133 ethn134 ethn135 ///
ethn136 ethn137 ethn138 ethn139 ethn140 ethn141 ethn142 ethn143 ethn144 ethn145 ///
ethn146 ethn147 ethn148 ethn149 ethn150 ethn151 ethn152 ethn153 ethn154 ethn155 ///
ethn156 ethn157 ethn158 ethn159 ethn160 ethn161 ethn162 ethn163 ethn164 ethn165 ///
ethn166 ethn167 ethn168 ethn169 ethn170 ethn171 ethn172 ethn173 ethn174 ethn175 ///
ethn176 ethn177 ethn178 ethn180 ethn181 ethn182 ethn183 ethn184 ethn185 ethn186 ///
ethn187 ethn188 ethn189 ethn190 ethn191 ethn192 ethn193 ethn194 ethn195 ethn196 ///
ethn197 ethn198 ethn199 ethn200 ethn201 ethn202 ethn203 ethn204 ethn205 ethn206 ///
ethn207 ethn208 ethn209 ethn210 ethn211 ethn212 ethn213 ethn214 ethn215 ethn216 ///
ethn217 ethn218 ethn219 ethn220 ethn221 ethn222 ethn223 ethn224 ethn225 ethn226 ///
ethn227 ethn228 ethn229 ethn230 ethn231 ethn232 ethn233 ethn234 ethn235 ethn236 ///
ethn237 ethn238 ethn239 ethn240 ethn241 ethn242 ///
(density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-bis, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq) nocons ///
		label coefastr dec(3) ///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq electr meanelectr ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 ///
(density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-bis, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq electr meanelectr) nocons  ///
		 label coefastr dec(3)  ///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 
qui ivpoisson gmm  birth calories_norm dist_water married  meanmarriage mortal  meanmortal gdp_log /// 
educ educsq  meaneduc meaneducsq refri meanrefri ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ////
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 ///
d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 ///
d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 ///
(density_log = dist_site), vce(cluster clusternumber)
outreg2 using individual-bis, keep(density_log married meanmarriage mortal meanmortal gdp_log educ educsq meaneduc meaneducsq  refri meanrefri) nocons  ///
		label coefastr dec(3)  	///
		title("Dep. Variable: Children ever born, per woman")																///
		tex 	
		
		
********************************************************************************
* Table for Cox Estimates (individual level analysis)
********************************************************************************
		
clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

drop if agemother==.
gen lndens = ln(1+density90)

stset agemother_month, failure(mother)

stcox lndens calories_norm   ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 

stcox lndens calories_norm  married meanmarriage mortal meanmortal gdp_capita educ educsq meaneduc meaneducsq  ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 

*****

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

drop if agemarried==.
gen lndens = ln(1+density90)

stset agemarried_month, failure(married)

stcox lndens calories_norm   ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 

stcox lndens calories_norm  married meanmarriage mortal meanmortal gdp_capita educ educsq meaneduc meaneducsq  ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 

****

clear all
cd "C:\Users\gobbi\Dropbox\density and population growth\main-program"
use women.dta, clear

drop if married!=1
drop if interval<8

gen lndens = ln(1+density90)
gen marriedmother = 1 if mother==1
replace marriedmother=0 if mother!=1

stset interval, failure(marriedmother)

stcox lndens calories_norm   ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 

stcox lndens calories_norm  married meanmarriage mortal meanmortal gdp_capita educ educsq meaneduc meaneducsq  ///
GN CI BF BJ NG CM KE NI TZ GH BU CF KM CD ET GA LS LB MD MW ML MZ NM TG RW SN SL SZ UG ZM ZW ///
BD KH ID NP PK PH BO CO HN PE JO EG ///
d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 ///
d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 , nohr vce(cluster clusternumber) 


